<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Sobre o Projeto</title>

    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: white;
        }

        header {
            background: linear-gradient(to right, #333, #38a5f3);
            color: white;
            padding: 40px;
            text-align: left;
            font-size: 25px;
            font-family: Calibri, sans-serif;
        }

        h1 {
            margin: 0;
        }

        #cur_page{
            background-color: #191c19;
        }

        /* buttons */
        .button-container {
            display: flex;
            justify-content: center;
            align-items: center;
            margin-top: 10px;
            margin-bottom: 10px;
        }
        .button-container button {
            padding: 12px 20px;
            margin: 0 10px;
            border: none;
            border-radius: 25px;
            background-color: #38a5f3;
            color: white;
            font-size: 20px;
            cursor: pointer;
            transition: background-color 0.3s ease;
            font-family: Calibri, sans-serif;
        }
        .button-container button:hover {
            background-color: #1e567e;
        }

        /* subsections */
        .subsection {
            background-color: white;
            padding: 20px;
            border: 1px solid white;
            margin-top: 10px;
            margin-bottom: 10px;
            font-size: 20px;
            font-family: Calibri, sans-serif;
        }

        .subsection hr {
            border: none;
            height: 2px;
            background-color: black;
            margin: 10px 0;
        }

        /* tables */
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #ccc;
            padding: 8px;
            text-align: center;
            font-size: 20px;
            font-family: Calibri, sans-serif;
        }
        th {
            background-color: #38a5f3;
            color: white;
            font-size: 25px;
            font-family: Calibri, sans-serif;
        }

        /* images */
        figure {
            display: inline-block;
            margin: 10px;
            width: 150px;
        }

        img {
            max-width: 100%;
            border-radius: 10px;
            height: auto;
        }

        figcaption {
            text-align: center;
            font-style: italic;
            margin-top: 5px;
        }
    </style>
</head>

<body>
    <header>
        <h1>PACTL-Sym Parser</h1>
    </header>

    <div class="button-container">
        <button id="cur_page">Sobre o Projeto</button>
        <button onclick="location.href='especificacao/index.html'">Documentos de Especificação do Projeto</button>
        <button onclick="location.href='sprints/index.html'">Documentação das Sprints/Trabalho</button>
    </div>

    <hr>

    <div class="subsection">
        <h2>1. Introdução</h2>
        <p>A resolução de problemas de busca constitui uma área crucial dentro do campo da inteligência artificial, empregando algoritmos sofisticados para alcançar soluções eficazes em espaços de estados nos quais uma busca trivial é impossível. O PACTL-Sym, trabalho do qual este projeto é derivado, é um sistema de planejamento automático em Inteligência Artificial, integrando-se plenamente a esse contexto. Desenvolvido pela doutoranda da Universidade de São Paulo (USP), Viviane Bonadia, o PACTL-Sym adota a técnica de verificação simbólica de modelos (symbolic model-checking), visando à seleção e execução de ações que conduzam à modificação do ambiente de um estado inicial para um estado meta. Este projeto constitui uma parte do trabalho mencionado anteriormente.</p>
    </div>

    <hr>

    <div class="subsection">
        <h2>2. Descrição e objetivo</h2>
        <p>Nosso objetivo é desenvolver um parser que transforma uma entrada em PDDL (Planning Domain Description Language) em uma entrada coerente com o algoritmo de planejamento desenvolvido no projeto PACTL-Sym. A velocidade de processamento é de alta importância, dado que é inadmissível atrapalhar significativamente o desempenho do PACTL-Sym.</p>
    </div>

    <hr>

    <div class="subsection">
        <h2>3. Propósito e justificativa</h2>
        <p>Este projeto agrega uma parte essencial, o parser, ao escopo do projeto de tese de doutorado mencionado, permitindo que a aluna de doutorado em questão concentre-se plenamente em sua área de pesquisa. Adotando técnicas ágeis de desenvolvimento, entregaremos software de alta qualidade, com o objetivo de contribuir para a Ciência.</p>
    </div>
    
    <hr>
    
    <div class="subsection">
        <h2>4. Regras para horas extras</h2>
        <p>As horas extras estão sendo realizadas em sessões de 4 horas às sextas-feiras. Todos os membros do grupo se reúnem, e as duplas trabalham separadamente.</p>
    </div>
	<hr>
	
    <div class="subsection">
        <h2>5. Reunião com a cliente</h2>
        <p>As reuniões com a cliente ocorrem todas as segundas-feiras, podendo ser presenciais ou remotas.</p>
    </div>
    
    <hr>
	
    <div class="subsection">
        <h2>6. Stand up meeting</h2>
        <p> Toda reunião se inicia com um stand up meeting em que relembramos os pontos que foram trabalhados na última reunião e decidimos os pontos a serem abordados.
        </p>
    </div>
    <hr>

    <!-- <div class="subsection">
        <h2>4. Objetivos</h2>
        <p>bla.</p>
    </div>

    <hr>

    <div class="subsection">
        <h2>5. Requisitos de Alto Nível</h2>
        <p>bla.</p>
    </div>

    <hr>

    <div class="subsection">
        <h2>6. Riscos</h2>
        <table>
            <tr>
                <th>Risco</th>
                <th>Ação Preventiva</th>
                <th>Ação Reativa</th>
            </tr>

            <tr>
                <td>Risco 1</td>
                <td>Ação Preventiva 1</td>
                <td>Ação Reativa 1</td>
            </tr>

            <tr>
                <td>Risco 2</td>
                <td>Ação Preventiva 2</td>
                <td>Ação Reativa 2</td>
            </tr>
        </table>
    </div>

    <hr>

    <div class="subsection">
        <h2>7. Partes Interessadas</h2>
        <p>bla.</p>
    </div>

    <hr> -->

    <div class="subsection">
        <h2>7. Equipe</h2>

        <figure>
            <a href="https://gitlab.com/andrenogueiraribeiro">
            <img src="equipe/deco.jpeg" alt="Andre">
            </a>
            <figcaption>André Nogueira</figcaption>
        </figure>

        <figure>
            <a href="https://gitlab.com/henrimichel">
            <img src="equipe/henri.jpeg" alt="Henri">
            </a>
            <figcaption>Henri Michel</figcaption>
        </figure>

        <figure>
            <a href="https://gitlab.com/alvesjg">
            <img src="equipe/joao.jpeg" alt="Joao">
            </a>
            <figcaption>João Guilherme</figcaption>
        </figure>

        <figure>
            <a href="https://gitlab.com/mjurgensen">
            <img src="equipe/matheus.jpeg" alt="Matheus">
            </a>
            <figcaption>Matheus Sanches</figcaption>
        </figure>

        <figure>
            <a href="equipe/amizade.gif">
            <img src="equipe/equipe.jpeg" alt="Equipe">
            </a>
            <figcaption>Equipe</figcaption>
        </figure>

    </div>

    <hr>

    <script>
        function scrollToIframe(iframeSrc) {
            const iframe = document.getElementById('iframeContent');
            iframe.src = iframeSrc;
            window.scrollTo({
                top: iframe.offsetTop,
                behavior: 'smooth'
            });
        }
    </script>
</body>
</html>
